Unmap Risk from Assets and Vendors

Removes links between a risk and the given assets, asset types, threats, vulnerabilities, vendors, objectives, controls, and/or action items for a client.

Send only codes for mappings that should be removed. Empty or omitted arrays are ignored.

Supported request fields:

  • asset_codes
  • asset_type_names
  • threat_codes
  • vulnerability_codes
  • vendor_codes
  • objective_codes
  • control_codes
  • action_item_codes
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Unique identifier of the client

integer
required

Risk ID.

Body Params

Business codes for mappings to remove. Include only the fields that need to be unmapped; empty or omitted fields are ignored.

Business codes resolved server-side to internal IDs:
asset_codes -> asset.code;
asset_type_names -> asset_type.type (name);
threat_codes -> threat.code;
vulnerability_codes -> vulnerability.code;
vendor_codes -> vendor.code;
objective_codes -> objective.code;
control_codes -> control.code;
action_item_codes -> action_item.code.

asset_codes
array of strings

Asset codes; resolved to asset IDs

asset_codes
asset_type_names
array of strings

Asset type names; resolved to asset type IDs

asset_type_names
threat_codes
array of strings

Threat codes; resolved to threat IDs

threat_codes
vulnerability_codes
array of strings

Vulnerability codes; resolved to vulnerability IDs

vulnerability_codes
vendor_codes
array of strings

Vendor codes; resolved to vendor IDs

vendor_codes
objective_codes
array of strings

Objective (requirement) codes; resolved to requirement IDs

objective_codes
control_codes
array of strings

Control display codes; resolved to control IDs

control_codes
action_item_codes
array of strings

Action item task definition codes; resolved to task definition IDs

action_item_codes
Responses
204

No Content — mappings removed successfully.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json